# Uses of Class
it.tdlight.jni.TdApi.PhotoSize

## Uses of TdApi.PhotoSize in it.tdlight.jni

Fields in it.tdlight.jni declared as TdApi.PhotoSize
Modifier and Type
Field
Description
`TdApi.PhotoSize[]`
TdApi.ChatPhoto.`sizes`
Available variants of the photo in JPEG format, in different size.
`TdApi.PhotoSize[]`
TdApi.Photo.`sizes`
Available variants of the photo, in different sizes.
Constructors in it.tdlight.jni with parameters of type TdApi.PhotoSize
Modifier
Constructor
Description
``
`ChatPhoto(long id, int addedDate, TdApi.Minithumbnail minithumbnail, TdApi.PhotoSize[] sizes, TdApi.AnimatedChatPhoto animation, TdApi.AnimatedChatPhoto smallAnimation, TdApi.ChatPhotoSticker sticker)`
Describes a chat or user profile photo.
``
`Photo(boolean hasStickers, TdApi.Minithumbnail minithumbnail, TdApi.PhotoSize[] sizes)`
Describes a photo.